# stl_iterator_base_types.h File Reference

## Detailed Description

This is an internal header file, included by other library headers. You should not attempt to use it directly.

This file contains all of the general iterator-related utility types, such as iterator_traits and struct iterator.

Definition in file stl_iterator_base_types.h.

Go to the source code of this file.

## Namespaces

- namespace std

## Defines

- #define _ITERATOR_BASE_TYPES_H

## Functions

- template<typename _Iter> iterator_traits< _Iter
  >::iterator_category __iterator_category (const _Iter &)